# DataExchange
TKIGES
IGESSelect

# IGESSelect_SelectSubordinate Class Reference

This selections uses Subordinate Status as sort criterium
It is an integer number which can be :
0 Independant
1 Physically Dependant
2 Logically Dependant
3 Both (recorded)
+ to sort :
4 : 1 or 3 -> at least Physically
5 : 2 or 3 -> at least Logically
6 : 1 or 2 or 3 -> any kind of dependance
(corresponds to 0 reversed)
.

`#include <IGESSelect_SelectSubordinate.hxx>`

Inheritance diagram for IGESSelect_SelectSubordinate:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_SelectSubordinate (const Standard_Integer status)
| Creates a SelectSubordinate with a status to be sorted .
Standard_EXPORT Standard_Integer | Status () const
| Returns the status used for sorting .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns True if <ent> is an IGES Entity with Subordinate Status matching the criterium .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns the Selection criterium : "IGES Entity, Independant" etc... .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | thestatus

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SelectSubordinate::IGESSelect_SelectSubordinate | ( | const Standard_Integer | status | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString IGESSelect_SelectSubordinate::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IGESSelect_SelectSubordinate::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Standard_Boolean IGESSelect_SelectSubordinate::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT Standard_Integer IGESSelect_SelectSubordinate::Status | ( |  | ) | const

## Field Documentation

Standard_Integer IGESSelect_SelectSubordinate::thestatus `[private]`

The documentation for this class was generated from the following file:

- IGESSelect_SelectSubordinate.hxx